import { ScatterBase } from "./ScatterBase";
import { IScaleLegendSeries } from "igniteui-react-core";
import { ISupportsSizeScale } from "./ISupportsSizeScale";
import { ISupportsFillScale } from "./ISupportsFillScale";
import { Rect } from "igniteui-react-core";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { UIElement } from "igniteui-react-core";
import { Type } from "igniteui-react-core";
import { ActualRange } from "./ActualRange";
import { SizeScale } from "./SizeScale";
import { BrushScale } from "./BrushScale";
import { SeriesView } from "./SeriesView";
import { MarkerFillMode } from "./MarkerFillMode";
import { ScatterFrame } from "./ScatterFrame";
import { IChartLegend } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { ScatterBaseView } from "./ScatterBaseView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { Marker } from "./Marker";
import { BrushSelectionMode } from "./BrushSelectionMode";
import { MarkerManagerBase } from "./MarkerManagerBase";
/**
 * @hidden
 */
export declare class BubbleSeries extends ScatterBase implements IScaleLegendSeries, ISupportsSizeScale, ISupportsFillScale {
    static $t: Type;
    protected get_dx(): boolean;
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    zh: BubbleSeriesView;
    protected iq(): number;
    t4(): MarkerFillMode;
    constructor();
    private aa7;
    private aa6;
    isAttachedTo(a: IChartLegend): boolean;
    protected dw(): boolean;
    protected n4(a: (arg1: any) => void): void;
    get zo(): IFastItemColumn$1<number>;
    zu: List$1<UIElement>;
    private aa5;
    get legendReady(): boolean;
    get minScaleText(): string;
    get maxScaleText(): string;
    forScaleColors(a: (arg1: Brush, arg2: number) => void): boolean;
    aaj: string;
    ju(a: any, b: string): any;
    get zq(): IFastItemColumn$1<number>;
    set zq(a: IFastItemColumn$1<number>);
    private zm;
    zj: SizeScale;
    z9: string;
    private zl;
    get zp(): IFastItemColumn$1<any>;
    set zp(a: IFastItemColumn$1<any>);
    z4: string;
    zg: BrushScale;
    private zk;
    get zn(): IFastItemColumn$1<number>;
    set zn(a: IFastItemColumn$1<number>);
    zr: boolean;
    zs: boolean;
    zy: number;
    zx: number;
    zt: boolean;
    xw(a: ScatterBaseView, b: ScatterFrame, c: number, d: Rect, e: Rect): void;
    x6(a: ScatterFrame, b: ScatterBaseView): void;
    private aao;
    static zv(a: number, b: number, c: number, d: number, e: number): number;
    static zw(a: number, b: number, c: number, d: number, logBase_: number, e: number): number;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    protected wk(a: string, b: FastItemsSourceEventAction): boolean;
    private aan;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    oe(): void;
    ok(): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    updateSizeScaleGlobals(): void;
    updateFillScaleGlobals(): void;
    zf(a: SizeScale): ActualRange;
    ze(): ActualRange;
    zi: SizeScale;
    aaq(a: List$1<Marker>, b: List$1<number>, c: Rect, d: boolean): void;
    aap(a: List$1<Marker>): void;
    aaf: string;
    z0: string;
    aah: string;
    z2: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    get actualMarkerBrush(): Brush;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CustomPaletteBrushScale extends BrushScale {
    static $t: Type;
    constructor();
    brushSelectionMode: BrushSelectionMode;
    getBrush1(a: number, b: number): Brush;
    protected get_isReady(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BubbleSeriesView extends ScatterBaseView {
    static $t: Type;
    protected di: BubbleSeries;
    constructor(a: BubbleSeries);
    au(): void;
    protected cx(): MarkerManagerBase;
    dk(): void;
    dl(): void;
    dj(): void;
    getDefaultTooltipTemplate(): string;
}
